*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family:Arial, sans-serif;
}

body{
    background:#f2f2f2;
}

/* HEADER */

.top-bar{
    background:#062a9d;
    color:white;
    display:flex;
    justify-content:space-between;
    align-items:center;
    padding:15px 40px;
}

.logo img{
    width:120px;
}

.menu-top a{
    color:white;
    text-decoration:none;
    margin-left:25px;
}

.menu-principal{
    background:white;
    display:flex;
    justify-content:center;
    align-items:center;
    gap:30px;
    padding:15px;
}

.menu-principal a{
    text-decoration:none;
    color:#062a9d;
    font-weight:bold;
}

.buscador{
    position: relative;
    display: flex;
    align-items: center;
}

.buscador input{
    width: 220px;
    height: 38px;
    padding: 0 40px 0 15px;
    border: 2px solid #0B4CC7; /* azul */
    border-radius: 25px;
    outline: none;
}

.buscador i{
    position: absolute;
    right: 15px;
    color: #0B4CC7; /* azul */
    font-size: 16px;
}

/* BANNER */

.slider{
    background:#0038A8;
    height: 40px 0;
    display:flex;
    align-items:center;
    justify-content:center;
    position:relative;
}
/* ===== SLIDER ===== */

.slider{
    background:#0038A8;
    height:450px;
    position:relative;
    display:flex;
    justify-content:center;
    align-items:center;
    overflow:hidden;
}

/* Contenedor de los slides */

.slides{
    width:85%;
    display:flex;
    justify-content:center;
    align-items:center;
    gap:50px;
}

/* Cada slide */

.slide{
    width:320px;
    height:300px;
    background:white;
    border-radius:20px;
    padding:20px;
    display:flex;
    flex-direction:column;
    justify-content:center;
    align-items:center;

    box-shadow:0 5px 15px rgba(0,0,0,0.2);

    transition:0.3s;
}

/* Efecto al pasar el mouse */

.slide:hover{
    transform:translateY(-10px);
}

/* Imágenes */

.slide img{
    width:220px;
    height:180px;
    object-fit:contain;
    margin-bottom:15px;
}

/* Título */

.slide h2{
    color:#0038A8;
    font-size:20px;
    text-align:center;
    margin-bottom:10px;
}

/* Descripción */

.slide p{
    color:#555;
    text-align:center;
    font-size:14px;
    line-height:1.5;
}

/* Flechas */

.flecha{
    position:absolute;
    top:50%;
    transform:translateY(-50%);
    background:none;
    border:none;
    color:white;
    font-size:45px;
    cursor:pointer;
    z-index:10;
}

/* Flecha izquierda */

.izquierda{
    left:30px;
}

/* Flecha derecha */

.derecha{
    right:30px;
}

/* Indicadores */

.indicadores{
    background:#0038A8;
    text-align:center;
    padding-bottom:20px;
}

.indicadores span{
    width:14px;
    height:14px;
    border-radius:50%;
    background:white;
    display:inline-block;
    margin:0 6px;
}

.indicadores .activo{
    background:#35C5F4;
}
/* ===========================
   SECCIÓN REGISTRO
=========================== */

.registro{
    background: linear-gradient(90deg,#35cfff,#003f8f);
    padding:40px 0;
    text-align:center;
}

.titulo-registro{
    color:white;
    font-size:42px;
    font-weight:bold;
    letter-spacing:3px;
    margin-bottom:30px;
}

/* Caja del formulario */

.formulario{
    width:800px;
    max-width:90%;
    margin:auto;
    background:linear-gradient(
        180deg,
        rgba(92,226,230,.85),
        rgba(33,170,240,.85)
    );

    padding:35px 50px;
}

.formulario h3{
    color:white;
    font-size:28px;
    letter-spacing:3px;
    margin-bottom:10px;
}

.linea-formulario{
    width:220px;
    height:3px;
    border:none;
    background:#132f8b;
    margin:0 auto 30px;
}

/* Inputs */

.formulario input[type=text],
.formulario input[type=email],
.formulario input[type=password]{

    width:100%;
    height:55px;

    margin-bottom:20px;

    border:none;
    border-radius:12px;

    padding-left:20px;

    font-size:18px;
}

/* Términos */

.terminos{
    display:flex;
    align-items:center;
    gap:10px;

    margin:10px 0 25px;

    color:#ffd500;
    font-size:14px;
    font-weight:bold;
}

/* Botón principal */

.btn-crear{
    background:white;

    border:none;

    padding:12px 30px;

    border-radius:25px;

    font-size:24px;

    cursor:pointer;

    margin-bottom:25px;
}

/* Redes */

.social{
    display:flex;
    justify-content:center;
    gap:15px;
    flex-wrap:wrap;
}

.google,
.facebook{

    border:none;

    background:white;

    padding:12px 20px;

    border-radius:25px;

    cursor:pointer;

    font-size:16px;

    display:flex;
    align-items:center;
    gap:8px;
}

.google i{
    color:#DB4437;
}

.facebook i{
    color:#1877F2;
}

/* ==========================
   SECCIÓN INFORMACIÓN
========================== */

.info{
    background:#f5f5f5;
    padding:40px 30px;

    display:flex;
    justify-content:center;
    align-items:flex-start;
    gap:30px;

    flex-wrap:wrap;
}

/* IMAGEN PRINCIPAL */

.imagen-info img{
    width: 700px;
    height:auto;
    display:block;
}

/* COLUMNA DERECHA */

.texto-info{
    width:250px;
}

/* TÍTULO */

.texto-info h2{
    color:#3ca0e6;
    font-size:42px;
    font-weight:bold;
    text-align:center;

    text-shadow:
        1px 1px 0 #003f8f,
        2px 2px 0 #003f8f;

    margin-bottom:10px;
}

/* DESCRIPCIÓN */

.texto-info p{
    text-align:center;
    font-size:14px;
    font-weight:bold;
    line-height:1.4;
    margin-bottom:20px;
}

/* CUADROS DE BENEFICIOS */

.beneficio{
    margin-bottom:8px;
}

/* IMÁGENES DE BENEFICIOS */

.beneficio img{
    width:170px;
    height:auto;
    display:block;
    margin-left:0;
}

/* PRODUCTOS */

.productos{
    background:linear-gradient(to right,#2d8fff,#001fa5);
    text-align:center;
    padding:50px;
    color:white;
}

.grid{
    display:grid;
    grid-template-columns:repeat(3,1fr);
    gap:30px;
    margin-top:30px;
}

.card{
    background:white;
    color:black;
    padding:10px;
}

.card img{
    width:100%;
    height:180px;
    object-fit:cover;
}

.btn-productos{
    margin-top:30px;
    background:#32cfff;
    color:white;
    border:none;
 
    padding:20px 50px;      /* más alto y ancho */
    font-size:18px;         /* texto más grande */
    font-weight:600;
    letter-spacing:2px;     /* separación entre letras */
 
    border-radius:15px;     /* esquinas redondeadas */
    cursor:pointer;
 
    display:inline-block;
    transition:0.3s ease;
}
 
.btn-productos:hover{
    transform:scale(1.05);
}


/* ==========================
   FOOTER
========================== */

footer{
    width:100%;
    margin-top:0;
}

/* PARTE SUPERIOR */

.footer-superior{
    background:linear-gradient(
        to bottom,
        #e5e5e5,
        #cfcfcf
    );

    min-height:190px;

    display:flex;
    justify-content:center;
    align-items:center;
    gap:120px;

    padding:25px;
}

/* CONTACTO */

.contacto{
    text-align:center;
    color:#000;
    font-size:15px;
    line-height:1.8;
}

.contacto h3{
    font-size:18px;
    font-weight:bold;
    color:#0033aa;
    margin-bottom:10px;
}

.contacto p{
    margin-bottom:5px;
}

.contacto i{
    margin-right:10px;
    font-size:20px;
}

.correo{
    color:#0033cc;
    font-weight:bold;
    font-size:16px;
}

/* REDES */

.redes{
    text-align:center;
}

.redes h3{
    color:#0033aa;
    margin-bottom:15px;
    font-size:20px;
    font-weight:bold;
}

/* ICONOS */

.iconos{
    display:flex;
    justify-content:center;
    align-items:center;
    gap:20px;
}

.iconos a{
    text-decoration:none;
}

.iconos i{
    font-size:58px;
    transition:0.3s;
}

.iconos i:hover{
    transform:scale(1.15);
}

/* COLORES DE REDES */

.fa-whatsapp{
    color:#1f5eff;
}

.fa-instagram{
    color:#1f5eff;
}

.fa-tiktok{
    color:#000;
}

.fa-facebook-f{
    color:#1f5eff;
}

/* BARRA INFERIOR */

.footer-inferior{
    background:#000;
    color:#fff;

    text-align:center;
    font-weight:bold;

    padding:12px;

    font-size:16px;
    line-height:1.5;
    letter-spacing:1px;
}

/* RESPONSIVE */

@media(max-width:900px){

    .footer-superior{
        flex-direction:column;
        gap:30px;
        text-align:center;
    }

    .iconos i{
        font-size:45px;
    }

    .contacto{
        font-size:14px;
    }

    .footer-inferior{
        font-size:14px;
    }

}